Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/Allele.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/Allele.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/Allele.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("Allele", "Represents an allele of a solution which is used for allele analysis.")]
-  [StorableClass]
+  [StorableClass("2C411881-200A-4546-94E2-6BAC751F2F13")]
   public class Allele : Item {
     private string id;
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequency.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequency.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequency.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// </summary>
   [Item("AlleleFrequency", "Represents the frequency of an allele.")]
-  [StorableClass]
+  [StorableClass("A2C48374-128C-4F98-B8A7-9B75B19EDCC3")]
   public class AlleleFrequency : Item {
     private string id;
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyAnalyzer.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("AlleleFrequencyAnalyzer", "An operator for analyzing the frequency of alleles.")]
-  [StorableClass]
+  [StorableClass("4C00F2D1-F97B-4E86-ABD3-5960E9CFA8A7")]
   public abstract class AlleleFrequencyAnalyzer<T> : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator where T : class, IItem {
     public virtual bool EnabledByDefault {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollection.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("AlleleFrequencyCollection", "Represents a collection of allele frequencies.")]
-  [StorableClass]
+  [StorableClass("2B46EFB1-DE9C-42A2-8E5C-9B78DF39A052")]
   public class AlleleFrequencyCollection : ReadOnlyItemCollection<AlleleFrequency> {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/AlleleFrequencyAnalysis/AlleleFrequencyCollectionHistory.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("AlleleFrequencyCollectionHistory", "Represents history values of allele frequencies collections.")]
-  [StorableClass]
+  [StorableClass("494F4DFF-6CC9-4DC1-B6E6-5DD130D1406B")]
   public class AlleleFrequencyCollectionHistory : ItemCollection<AlleleFrequencyCollection> {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/BestScopeSolutionAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("BestScopeSolutionAnalyzer", "An operator that extracts the scope containing the best quality.")]
-  [StorableClass]
+  [StorableClass("F659F354-F841-41BD-9226-48B26C0C6540")]
   public class BestScopeSolutionAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataRow.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("DataRow", "A row of data values.")]
-  [StorableClass]
+  [StorableClass("D83FF967-5D86-41DB-ADDF-B836273D6716")]
   public class DataRow : NamedItem {
     private DataRowVisualProperties visualProperties;
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataRowVisualProperties.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// Visual properties of a DataRow.
   /// </summary>
-  [StorableClass]
+  [StorableClass("051481CD-D3BF-4D92-939C-0CBD26D05524")]
   public class DataRowVisualProperties : DeepCloneable, INotifyPropertyChanged {
     #region ChartType
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTable.cs	(revision 13368)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("DataTable", "A table of data values.")]
-  [StorableClass]
+  [StorableClass("C1D80102-301B-4F57-A4F7-915F62EB8005")]
   public class DataTable : NamedItem, IStringConvertibleMatrix {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableHistory.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("DataTableHistory", "Represents history values of data tables.")]
-  [StorableClass]
+  [StorableClass("2A28006D-CA9F-4717-A1F9-5A54ECCFE1B9")]
   public class DataTableHistory : ItemCollection<DataTable> {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableValuesCollector.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("DataTableValuesCollector", "An operator which collects the actual values of parameters and adds them to a table of data values.")]
-  [StorableClass]
+  [StorableClass("55FCC8FC-352B-40FC-82BF-61B0D479EE0B")]
   public class DataTableValuesCollector : ValuesCollector {
     public ValueLookupParameter<DataTable> DataTableParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/DataTableVisualProperties.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// Visual properties of a DataTable.
   /// </summary>
-  [StorableClass]
+  [StorableClass("AC312F24-8CBC-42E8-8C54-65A38A8BD18F")]
   public class DataTableVisualProperties : DeepCloneable, INotifyPropertyChanged {
     private Font titleFont;
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/HeatMap.cs	(revision 13368)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Analysis {
   [Item("HeatMap", "Represents a heat map of double values.")]
-  [StorableClass]
+  [StorableClass("C056C7DA-8AAD-421B-AA7B-BE6E6773FEEC")]
   public class HeatMap : DoubleMatrix {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/HeatMapHistory.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("HeatMapHistory", "Represents history values of heat maps.")]
-  [StorableClass]
+  [StorableClass("109FAA5C-697C-432D-B40D-A70574ED75B0")]
   public class HeatMapHistory : ItemCollection<HeatMap> {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlot.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
 namespace HeuristicLab.Analysis {
   [Item("ScatterPlot", "A scatter plot of 2D data")]
-  [StorableClass]
+  [StorableClass("E5D22BED-A473-4CBC-8432-3A624E694234")]
   public class ScatterPlot : NamedItem, IStringConvertibleMatrix {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRow.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("ScatterPlotDataRow", "A row of data values for a scatter plot.")]
-  [StorableClass]
+  [StorableClass("C4D54853-19FF-461D-8873-041383226999")]
   public class ScatterPlotDataRow : NamedItem {
     private ScatterPlotDataRowVisualProperties visualProperties;
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotDataRowVisualProperties.cs	(revision 13368)
@@ -30,5 +30,5 @@
   /// Visual properties of a ScatterPlotDataRow.
   /// </summary>
-  [StorableClass]
+  [StorableClass("1330DD1D-F219-4C2D-B16E-2707AAFB7C36")]
   public class ScatterPlotDataRowVisualProperties : DeepCloneable, INotifyPropertyChanged {
     #region PointStyle
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotHistory.cs	(revision 13368)
@@ -31,5 +31,5 @@
   /// </summary>
   [Item("ScatterPlotHistory", "Represents history values of scatter plots.")]
-  [StorableClass]
+  [StorableClass("4C998341-F5D3-4488-A7C1-F9F2A9CDF68D")]
   public class ScatterPlotHistory : ItemCollection<ScatterPlot> {
     public static new Image StaticItemImage {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/DataVisualization/ScatterPlotVisualProperties.cs	(revision 13368)
@@ -29,5 +29,5 @@
   /// Visual properties of a ScatterPlot.
   /// </summary>
-  [StorableClass]
+  [StorableClass("AFBEFE26-B692-4022-85B0-C77AFC61D758")]
   public class ScatterPlotVisualProperties : DeepCloneable, INotifyPropertyChanged {
     private Font titleFont;
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("MultiAnalyzer", "An analyzer which applies arbitrary many other analyzers.")]
-  [StorableClass]
+  [StorableClass("D1B8530F-172E-4EF5-9A8E-50216BD5339F")]
   public class MultiAnalyzer : CheckedMultiOperator<IAnalyzer>, IMultiAnalyzer {
     public override bool CanChangeName {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiObjective/ParetoFrontAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Analysis {
   [Item("ParetoFrontAnalyzer", "Analyzer for multiobjective problems that collects and presents the current Pareto front as double matrix as well as the solution scopes that lie on the current front.")]
-  [StorableClass]
+  [StorableClass("2BE79290-D7A2-4F62-802A-B06DA6F6BD5A")]
   public abstract class ParetoFrontAnalyzer : SingleSuccessorOperator, IAnalyzer, IMultiObjectiveOperator {
     public virtual bool EnabledByDefault {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiObjective/RankBasedParetoFrontAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiObjective/RankBasedParetoFrontAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/MultiObjective/RankBasedParetoFrontAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Analysis {
   [Item("RankBasedParetoFrontAnalyzer", "Uses the rank value that is computed by e.g. the NSGA2's fast non dominated sort operator to collect all solutions and their qualities of front 0 (the current Pareto front).")]
-  [StorableClass]
+  [StorableClass("CCACA1E5-AEA9-4A9D-9367-616230A78E35")]
   public class RankBasedParetoFrontAnalyzer : ParetoFrontAnalyzer {
     public IScopeTreeLookupParameter<IntValue> RankParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationDiversityAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationDiversityAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationDiversityAnalyzer.cs	(revision 13368)
@@ -39,5 +39,5 @@
   [Obsolete]
   [Item("PopulationDiversityAnalyzer", "An operator for analyzing the solution diversity in a population.")]
-  [StorableClass]
+  [StorableClass("39C7FFC0-2AC1-4D9B-9A9F-0209FC56394C")]
   public abstract class PopulationDiversityAnalyzer<T> : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator where T : class, IItem {
     public virtual bool EnabledByDefault {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationSimilarityAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationSimilarityAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/PopulationSimilarityAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   /// </summary>
   [Item("PopulationSimilarityAnalyzer", "An operator for analyzing the solution similarity in a population.")]
-  [StorableClass]
+  [StorableClass("2FF91E05-6ACD-4098-8A29-57885989077E")]
   public class PopulationSimilarityAnalyzer : SingleSuccessorOperator, IAnalyzer, ISimilarityBasedOperator {
     private const string DiversityResultNameParameterName = "DiversityResultsName";
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/SingleObjectivePopulationDiversityAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/SingleObjectivePopulationDiversityAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/PopulationSimilarityAnalysis/SingleObjectivePopulationDiversityAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -36,5 +36,5 @@
   [NonDiscoverableType]
   [Item("SingleObjectivePopulationDiversityAnalyzer", "An operator for analyzing the solution diversity in a population.")]
-  [StorableClass]
+  [StorableClass("B5353C46-7738-4A8D-9B19-BBA3506EFAD1")]
   public class SingleObjectivePopulationDiversityAnalyzer : PopulationSimilarityAnalyzer {
     [StorableConstructor]
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("BestAverageWorstQualityAnalyzer", "An operator which analyzes the best, average and worst quality of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableClass("A8115F53-3244-48F8-AF1C-52BEA7A17D13")]
   public sealed class BestAverageWorstQualityAnalyzer : AlgorithmOperator, IAnalyzer, ISingleObjectiveOperator {
     #region Parameter properties
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityCalculator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestAverageWorstQualityCalculator.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("BestAverageWorstQualityCalculator", "An operator which calculates the best, average and worst quality of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableClass("D49EF6BB-840B-487F-8D6A-AAD1DA4061C8")]
   public sealed class BestAverageWorstQualityCalculator : SingleSuccessorOperator, ISingleObjectiveOperator {
     public ValueLookupParameter<BoolValue> MaximizationParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestQualityMemorizer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestQualityMemorizer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/BestQualityMemorizer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("BestQualityMemorizer", "An operator that updates the best quality found so far with those qualities contained in the scope tree.")]
-  [StorableClass]
+  [StorableClass("380E0284-8FAC-4D7A-874F-AFE78CD4EF21")]
   public class BestQualityMemorizer : SingleSuccessorOperator, ISingleObjectiveOperator {
     public ValueLookupParameter<BoolValue> MaximizationParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("QualityAnalyzer", "An operator which analyzes the quality of solutions in the scope tree.")]
-  [StorableClass]
+  [StorableClass("E4B4A263-6263-43C7-B2A8-DD569A7B4067")]
   public sealed class QualityAnalyzer : AlgorithmOperator, IAnalyzer, ISingleObjectiveOperator {
     #region Parameter properties
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDifferenceCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDifferenceCalculator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDifferenceCalculator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("QualityDifferenceCalculator", "An operator which calculates the absolute and relative difference of two quality values.")]
-  [StorableClass]
+  [StorableClass("EF329063-1677-41EF-8386-0E634A00BEEC")]
   public class QualityDifferenceCalculator : SingleSuccessorOperator {
     public IValueLookupParameter<DoubleValue> FirstQualityParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityDistributionAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Analysis.QualityAnalysis {
   [Item("QualityDistributionAnalyzer", "Analyzes the distribution of the quality values in that it adds a Histogram of them into the result collection.")]
-  [StorableClass]
+  [StorableClass("9A106F24-B6DE-4F65-BC1A-358783ADA5D2")]
   public class QualityDistributionAnalyzer : SingleSuccessorOperator, IAnalyzer, IIterationBasedOperator, ISingleObjectiveOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/QualityAnalysis/ScaledQualityDifferenceAnalyzer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -32,5 +32,5 @@
 The difference lies in the interval [0;1] if the range [min;max] is as large as the observed quality values, otherwise the difference will become < 0 or > 1.
 A value towards 0 always means that it's closer to the better fitness value, while a value towards 1 means that it's closer to the worse fitness value.")]
-  [StorableClass]
+  [StorableClass("DFE2E8CE-6274-485F-A418-F9BA258D58A0")]
   public class ScaledQualityDifferenceAnalyzer : SingleSuccessorOperator, IAnalyzer, ISingleObjectiveOperator {
     public virtual bool EnabledByDefault {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("MinAverageMaxValueAnalyzer", "An operator which analyzes the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableClass("C9FF822A-648E-405E-A6E2-2D2B211EF918")]
   public sealed class MinAverageMaxValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/MinAverageMaxValueCalculator.cs	(revision 13368)
@@ -32,5 +32,5 @@
   /// </summary>
   [Item("MinAverageMaxValueCalculator", "An operator which calculates the minimum, average and maximum of a value in the scope tree.")]
-  [StorableClass]
+  [StorableClass("05591453-02E6-43C5-AA65-DD4574FFFACE")]
   public sealed class MinAverageMaxValueCalculator : SingleSuccessorOperator {
     public ScopeTreeLookupParameter<DoubleValue> ValueParameter {
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/SingleValueAnalyzer.cs	(revision 13368)
@@ -34,5 +34,5 @@
   /// </summary>
   [Item("SingleValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and parents).")]
-  [StorableClass]
+  [StorableClass("4C646428-6085-4CD5-B52D-1F4B8097F67B")]
   public sealed class SingleValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
Index: branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 13325)
+++ branches/PersistenceOverhaul/HeuristicLab.Analysis/3.3/ValueAnalysis/ValueAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("ValueAnalyzer", "An operator which analyzes a value in the scope tree (current scope and children).")]
-  [StorableClass]
+  [StorableClass("76E644F3-038E-4B79-9B4D-17F5B0B12C16")]
   public sealed class ValueAnalyzer : AlgorithmOperator, IAnalyzer {
     #region Parameter properties
